﻿﻿@model ContosoUniversity.ViewModels.QuanlyChuTheViewModel

@*@model IEnumerable<ContosoUniversity.Models.ThongtinMe>*@

@using PagedList.Mvc;


@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_LayoutCommon.cshtml";
}

@{
    List<ContosoUniversity.Models.User> lstUser = ViewBag.ListUser != null ? ViewBag.ListUser : new List<ContosoUniversity.Models.User>();
    List<SelectListItem> lstSelected = new List<SelectListItem>();
    for (int i = 0; i < lstUser.Count(); i++)
    {
        var selecteditem = new SelectListItem();
        selecteditem.Text = lstUser.ElementAt(i).UserName;
        selecteditem.Value = i.ToString();
        lstSelected.Add(selecteditem);
    }
    int stt = 1;
}

<head>
    <script src="https://kit.fontawesome.com/b4077a95f0.js" crossorigin="anonymous"></script>
</head>

<style>
    .table_danhsach td:last-child {
        width: 120px;
    }

    fieldset {
        /*display: flow;*/
        display: flow-root;
        margin-top: 10px;
        margin-bottom: 10px;
        margin-inline-start: 5px;
        margin-inline-end: 5px;
        padding-block-start: 0.35em;
        padding-inline-start: 0.75em;
        padding-inline-end: 0.75em;
        padding-block-end: 0.35em;
        min-inline-size: min-content;
        border-width: 2px;
        border-style: groove;
        border-color: rgb(192, 192, 192);
        border-image: initial;
        border-radius: 10px;
    }

        fieldset .p2 {
            background-color: rgb(230, 240, 250);
            margin-top: 25px;
            border-width: 1px;
            border-radius: 3px;
            border-style: solid;
            border-color: rgb(0, 0, 0);
            display: grid;
        }

    .control-label {
        padding-right: 2px;
        padding-left: 5px;
    }

    label.control-label.required::after {
        content: " *";
        color: red;
        font-weight: bold;
        font-size: 130%;
    }

    @@media screen and (min-width: 720px) {
        legend {
            width: auto;
            margin-bottom: auto;
            margin-right: 20px;
            border-bottom: none;
        }

        .btn.btn-primary.btn-lg.gradient {
            margin-top: 23px;
        }

        input[type=text], select, input[type=date] {
            width: 100%;
            padding: 5px 5px;
            margin: 0px 0px;
            display: inline-block;
            border: 1px solid #ccc;
            border-radius: 6px;
            box-sizing: border-box;
        }

        .form-group {
            margin: auto;
            margin-top: 4px;
            margin-bottom: 4px;
        }

        .form-horizontal .form-group {
            margin-left: 0px;
        }
    }
</style>

<h2 class="maintitle"><i class="fa-solid fa-address-book" style="color: #299be4;"></i> Quản lý chủ thể </h2>
<hr />

<p>
    @using (Html.BeginForm())
    {
        <!--<div class="form-horizontal container">
            <div class="row justify-content-md-center">
                <div class="col col-lg-1">-->
        @*@Html.ActionLink("Tạo mới", "Create", null, null, new { @class = "btn btn-primary gradient", @style = "color:white;" })*@
        <!--<a href="@Url.Action("Create")" class="btn btn-primary gradient" style="color:white;"><i class="fa-solid fa-plus"></i> Tạo mới</a>
                    <br />
                    

                </div>
            </div>
        </div>-->
        <div class="form-horizontal container">
            <div class="row justify-content-md-center">
                

                <div class="col col-lg-1">

                    @*<a href="@Url.Action("Create")" class="btn btn-primary gradient" style="color:white;"><i class="fa-solid fa-plus"></i> Tạo mới</a>
                    <br />
                    <a href="@Url.Action("ExportExcel",null,new { fromDate = ViewBag.fromDate, toDate = ViewBag.toDate, tenBe = ViewBag.tenBe })" class="btn btn-primary gradient-export" style="color:white;"><i class="fa-solid fa-file-excel"></i> Xuất excel</a>
*@
                </div>

            </div>
        </div>

    }
</p>


<div class="table-responsive">
    <table class="table table_danhsach" id="table_suco">
        <thead>
            <tr>
                <th>
                    STT
                </th>
                <th>
                    Tên chủ thể
                </th>
                <th>
                    Người đại diện pháp luật
                </th>
                <th>
                    Website
                </th>
                <th>
                </th>
            </tr>
        </thead>
        <tbody>
            @for (int i = 0; i < Model.pagination.Count(); i++)

            {
                <tr>
                    <td>
                        @*@Html.DisplayFor(modelItem => Model.pagination[i].Id)*@
                        @stt

                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => Model.pagination[i].TenChuThe)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => Model.pagination[i].NguoiDaiDienPhapLuat)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => Model.pagination[i].ThongTinWebSite)
                    </td>

                    <td>

                        @*@Html.ActionLink(" ", "Edit", new { id = Model.pagination[i].Id }, new { @class = "fa-solid fa-pencil", @style = "color: #FFC107" })*@

                        @*@Html.ActionLink(" ", "ViewDanhsachThongsovanhanh", new { id = Model.pagination[i].Id }, new { @class = "fa-solid fa-eye", @style = "color: #428bca" })*@

                        @*@Html.DisplayFor(modelItem => Model.pagination[i].soluongmau)*@

                                              

                        @*@Html.ActionLink(" ", "ViewDanhsachThongsovanhanh", new { id = item.Id }, new { @class = "fa fa-info", @style = "color: #428bca" })*@

                    </td>
                </tr>
                stt++;
            }
        </tbody>
    </table>
</div>

<br />
<div class="row">
    <div class="col-sm-5" style="float:left;">
        @*Trang thứ @(Model.PageCount < Model.PageNumber ? 0 : Model.PageNumber) trong tổng số @Model.PageCount trang
        *@

        @(Model.pagination.TotalItemCount < 1 ? 0 : Model.pagination.FirstItemOnPage) - @Model.pagination.LastItemOnPage trong @Model.pagination.TotalItemCount dòng

    </div>

    <div class="col-sm-4" style="float:right;">
        @*Html.BeginForm run the HOME controller InvoiceList Action's GET method when form get submitted.*@

    </div>
</div>


@Html.PagedListPager(Model.pagination, page => Url.Action("Index", new { page, pageSize = ViewBag.psize, fromDate = ViewBag.fromDate, toDate = ViewBag.toDate, userCreate = ViewBag.userCreate }), new PagedListRenderOptions()
{
    DisplayLinkToFirstPage = PagedListDisplayMode.Always,
    DisplayLinkToPreviousPage = PagedListDisplayMode.Always,
    DisplayLinkToLastPage = PagedListDisplayMode.Always,
    DisplayLinkToNextPage = PagedListDisplayMode.Always,
    MaximumPageNumbersToDisplay = 5, // number of pages in line
    DisplayEllipsesWhenNotShowingAllPageNumbers = true
})

@*<div>   Tổng số mẻ là @ViewBag.total</div>*@<div></div>
@* COLLAPSE BUTTON BOOTSTRAP3.0 *@
